/* mol.c */
/* 92/11/14 I.Yamamura */
/* Interface for molecular subroutines */

#include <stdio.h>
#include <string.h>
#include <math.h>
#include <malloc.h>

#include "macro.h"
#include "const.h"
#include "funcs.h"
#include "matrix.h"

#include "mol.h"

void MolInit(molname, mol)
   char *molname;
   MOLECULE *mol;
{
   if (strcmp(molname, "CO") == 0) {
      CO_Init(mol);
      return;
   } else if (strcmp(molname, "CO13") == 0) {
      CO13_Init(mol);
      return;
   } else if (strcmp(molname, "HCO+") == 0) {
      HCOp_Init(mol);
      return;
   } else if (strcmp(molname, "SiII") == 0) {
      SiII_Init(mol);
      return;
   } else {
      fprintf(stderr, "MolInit : Molecule name %s is not available.\n", molname);
      return;
   }
} /* MolInit */

void MolStat(mol, nH2, abn, tp)
   MOLECULE *mol;
   double nH2, abn, tp;
{
   if (strcmp(mol->name, "CO") == 0) {
      CO_Stat(mol, nH2, abn, tp);
      return;
   } else if (strcmp(mol->name, "CO13") == 0) {
      CO13_Stat(mol, nH2, abn, tp);
      return;
   } else if (strcmp(mol->name, "HCO+") == 0) {
      HCOp_Stat(mol, nH2, abn, tp);
      return;
   } else if (strcmp(mol->name, "SiII") == 0) {
      SiII_Stat(mol, nH2, abn, tp);
      return;
   } else {
      fprintf(stderr, "MolStat : Molecule name %s is not available.\n", mol->name);
   }
} /* MolStat() */

/* end of mol.c */
